Package com.evopdf

# Enum GradientDirection

java.lang.Object
java.lang.Enum<GradientDirection>
com.evopdf.GradientDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<GradientDirection>`, `java.lang.constant.Constable`

public enum GradientDirection extends Enum<GradientDirection>
This enumeration represents the possible directions of the gradient color in a PDF document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BackwardDiagonal`
  Diagonal gradient from top right bottom left
  `ForwardDiagonal`
  Diagonal gradient from top left to bottom right
  `Horizontal`
  Horizontal gradient from left to right
  `Vertical`
  Vertical gradient from top to bottom

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static GradientDirection`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static GradientDirection[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Horizontal

    public static final GradientDirection Horizontal
    Horizontal gradient from left to right

  - ### Vertical

    public static final GradientDirection Vertical
    Vertical gradient from top to bottom

  - ### ForwardDiagonal

    public static final GradientDirection ForwardDiagonal
    Diagonal gradient from top left to bottom right

  - ### BackwardDiagonal

    public static final GradientDirection BackwardDiagonal
    Diagonal gradient from top right bottom left

- ## Method Details

  - ### values

    public static GradientDirection[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static GradientDirection valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()